// uni-app请求封装
import {TOKEN_KEYAuto} from '@/utils/courseTool.js'
import store from '@/store/index.js'
export default class Request {
	http(router, data = {}, method,contentType) {
		let that = this;
		//let path = 'http://localhost:7014';
		// let path = 'https://test.userapp.store.cdwjyyh.com';
		// let path = 'https://user.test.ylrztop.com/api';
		// let path = 'https://userapp.zkhj6.com/store'//中康
		// let path = 'https://userapp.cqsft.vip/store'//四福堂
		let path = 'https://userapp.ysya.top/store'//益寿缘
		// let path = 'https://userapp.ysya.top/ceshi/store'//益寿缘测试
		
		// let path = 'http://w43fa358.natappfree.cc/store'//本地接口
		// let path = 'https://userapp.moonxiang.com/prod-api/store'//北京存在文化商城
		// let path = 'https://user.test.ylrztop.com/prod-api/store'//云联融智优选
		let type = 0
		uni.setStorageSync('requestPath',path)
		// uni.showLoading({
		// 	title: '加载中'
		// });
		let token = uni.getStorageSync('AppToken');
		if(router.indexOf("/companyapp")!=-1){
			// router =router.replace('/companyapp','')
			// path = 'https://userapp.zkhj6.com'//中康
			// path = 'https://userapp.cqsft.vip'//四福堂
			path = 'https://userapp.ysya.top'//益寿缘
			 // path = 'https://user.test.ylrztop.com/prod-api'//云联融智优选
			 // path = 'http://w43fa358.natappfree.cc'//本地接口
			 type = 1
			 token = uni.getStorageSync('ManageToken');
		}
		// 企微看课
		if(router.indexOf("/course_auto")!=-1){
			type = 2
			router =router.replace('/course_auto','')
			// path = 'https://userapp.gjh2024.com/apis'//金康键
			// path = 'https://userapp.moonxiang.com/prod-api'//青岛市德瑞康
			// path = 'http://w43fa358.natappfree.cc'
			// path = 'https://userapp.zkhj6.com'//中康
			// path = 'https://userapp.cqsft.vip'//四福堂
			// path = 'https://userapp.ysya.top'//益寿缘
			path = 'https://h5.ysya.top'//益寿缘
			
			// path = 'https://user.test.ylrztop.com/prod-api'//云联融智优选
			token =uni.getStorageSync(TOKEN_KEYAuto)
			console.log("TOKEN_KEYAuto===",TOKEN_KEYAuto,token)
		}
		if(router.indexOf("/course_uniapp")!=-1){
			type = 3
			router =router.replace('/course_uniapp','')
			//张玉朋
			// let path = 'http://192.168.10.158:7014'//
			// path = 'https://userapp.zkhj6.com'//中康
			// path = 'https://user.test.ylrztop.com/api'//云融融智
			// path = 'https://userapp.ashyisheng.com'//蜂巢快药（爱上嘉园）
			// path = 'https://userapp.liangmiaoedu.com'//良苗
			// path = 'https://usercourse.beliyostore.com'//倍力优
			// path = 'https://userapp.bainian1000y.cn/prod-api'//百年康城
			// path = 'https://userapp.whhm.ylrzcloud.com/prod-api'//惠名大药房
			// path = 'https://userapp.cqsft.vip'//四福堂
			// path = 'https://userapp.drkzyy.cn/prod-api'//青岛市德瑞康
			// path = 'http://w43fa358.natappfree.cc'
			// path = 'https://userapp.zkhj6.com'//中康
			// path = 'https://userapp.cqsft.vip'//四福堂
			path = 'https://userapp.ysya.top'//益寿缘
			// path = 'https://user.test.ylrztop.com/prod-api'//云联融智优选
			token =uni.getStorageSync('TOKEN_WEXIN')
		}
		return new Promise((resolve, reject) => {
			// token = uni.getStorageSync('AppToken');
			var httpContentType='application/x-www-form-urlencoded';
			if(contentType!=undefined){
				//application/json;charset=UTF-8
				httpContentType=contentType;
			}
			var routers=router;
			// 请求
			uni.request({
				header: {
					// 'Content-Type': 'application/x-www-form-urlencoded',
					'Content-Type': httpContentType,
					'AppToken': token
				},
				url: `${path}${router}`,
				data: data,
				method: method,
				success: (res) => {
					if(type !==0&&(res.data.code == 401 || res.data.code == 4001||res.data.code == 4004)) {
						store.commit('setCoureLogin', 2);
						uni.removeStorageSync("userinfos")
						// uni.removeStorageSync('userInfo');
						uni.removeStorageSync('TOKEN_WEXIN');
						if(type==2) {
							uni.removeStorageSync(TOKEN_KEYAuto)
						}
						if(type==1) {
							uni.removeStorageSync('ManageToken');
							uni.navigateTo({
								url:'/pages_manage/login'
							})
						}
						resolve({ code: 401, data: null });
						return
					}
					//收到开发者服务器成功返回的回调函数
					if(res.data.code==401){//没有权限直接退出到登录界面
						let pages = getCurrentPages();
						pages.forEach(function(element) {
						  if(element!=undefined&&element.route=="pages/auth/login"){
						  	resolve(res.data)
						  	return;
						  }
						});
						// let url = pages[ pages.length - 1]; //当前页页面实例
						// //如果登录界面已打开,自动关闭
						// if(url!=undefined&&url.route=="pages/auth/login"){
						//  	resolve(res.data)
						// 	return;
						// }
						uni.navigateTo({
							url:'/pages/auth/login',
							success: () => {
								uni.hideLoading();
								
							},
							fail: () => {
								uni.hideLoading();
							}
						})
						return;
					}
					if (res.data.token&&type==0) {
						uni.setStorageSync('AppToken',res.data.token)
					}
					resolve(res.data)
				},
				fail:(res) =>{
					//接口调用失败的回调函数
				},
				complete:(res) =>{
					//接口调用结束的回调函数（调用成功、失败都会执行）
					if (res.data.code == 401) {
						return false
					}
					uni.hideLoading();
				}
				
			})
		})
		 
	}
	
}
